import express, { type Request, type Response } from "express";
const router = express.Router();

import userData from './userKnowledge.json';

/* GET home page. */
router.get('/', function (req: Request, res: Response) {
  const project = userData.project;
  const experience = userData.experience;
  const education = userData.education;
  res.render('main/2_0', { title: 'Nikola Petrov', disableBootStrap: true, project, experience, education });
});

router.get('/old', function (req: Request, res: Response) {
  res.render('main/1_0', { title: 'Nikola Petrov' });
});

router.get('/mail', function (req: Request, res: Response) {
  res.redirect('https://privateemail.com/');
});

router.get('/list', function (req: Request, res: Response) {
  res.render('list', { title: 'List' });
});

router.get('/cash', function (req: Request, res: Response) {
  res.render('cash', { title: 'Cash' });
});

import userRouter from './user';
router.use('/user', userRouter);

export default router;